Get appointment by ID
Retrieves a specific appointment by ID with full details including attendees and hosts
curl --request GET \
--url https://api.example.com/v4/appointment/{id} \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/appointment/{id}"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/appointment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"secret": "<string>",
"ics": "<string>",
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"connectChannelName": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"bufferMustStayWithinWorkingHours": true,
"nameLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"descriptionLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"color": {}
},
"hostingInfo": {
"mainHost": "<string>",
"meetingLink": "<string>",
"googleEventId": "<string>",
"googleConnectionSub": "<string>",
"calendarConnectionId": "<string>",
"zoomMeetingId": 123,
"connectChannelId": "<string>",
"wherebyMeetingId": "<string>",
"calendarSyncProviders": {
"id": "<string>",
"type": "<string>",
"hostId": "<string>",
"eventId": "<string>",
"calendarId": "<string>"
}
},
"cancel": {
"actionAt": "<string>",
"actionBy": "<string>",
"reason": "<string>"
},
"crmOptions": {
"hubspotContactSync": true,
"hubspotContactStage": "<string>",
"hubspotCompanySync": true,
"hubspotCompanyStage": "<string>",
"hubspotCompanyMatchingField": "<string>",
"hubspotDealSync": true,
"hubspotDealStage": "<string>",
"hubspotPipelineId": "<string>",
"pipedriveDealSync": true,
"pipedriveContactSync": true,
"pipedrivePipelineId": 123,
"pipedriveStageId": 123,
"pipedriveUseExistingDeal": true,
"closeDealSync": true,
"closeContactSync": true,
"closePipelineId": {},
"closeStatusId": {},
"closeUseExistingDeal": true,
"centralStationContactSync": true,
"centralStationDealSync": true,
"centralStationPipelineId": 123,
"centralStationStageId": 123,
"linkandoSyncEnabled": true,
"linkandoPlaybookId": 123,
"linkandoTemplateId": 123,
"evalancheEnabled": true,
"klicktippEnabled": true,
"getResponseEnabled": true,
"getResponseCampaignId": "<string>",
"brevoEnabled": true,
"sevdeskEnabled": true,
"sevdeskCategoryId": 123,
"lexwareEnabled": true,
"professionalWorksEnabled": true,
"smartWeContactSync": true,
"smartWeCompanySync": true,
"smartWeDealSync": true,
"smartWeDealStage": "<string>",
"salesforceSyncEnabled": true,
"salesforceCaseSync": true,
"salesforceLeadSync": true,
"salesforceOpportunitySync": true,
"salesforceLeadStatus": "<string>",
"salesforceCaseStatus": "<string>",
"salesforceOpportunityStage": "<string>",
"salesforceDefaultObjectType": "<string>",
"internalCrmPipelineId": {},
"internalCrmStageId": {},
"crmOptInFieldName": {}
},
"start": "<string>",
"end": "<string>",
"isCancelled": true,
"attendees": [
{
"id": "<string>",
"secret": "<string>",
"bringalongEmails": [
"<string>"
],
"notes": {},
"receiveReminders": true,
"language": "<string>",
"timezone": "<string>",
"noShow": true,
"dataPolicyAccepted": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>",
"fullname": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"phone": "<string>",
"doubleOptIn": "<string>",
"deletedAt": "<string>"
}
],
"attendeeIds": [
"<string>"
],
"roundRobinEntries": [
{
"id": 123,
"createdAt": "<string>",
"userId": "<string>",
"groupId": "<string>",
"appointmentId": "<string>",
"queueId": "<string>",
"selectionReason": "<string>"
}
],
"meetingTypeId": "<string>",
"hostIds": [
"<string>"
],
"scheduledReminderIds": [
"<string>"
],
"companyId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"resolvableErrors": [
{
"errorCode": "<string>"
}
],
"rescheduledAt": "<string>",
"location": "<string>",
"deletedAt": "<string>",
"paymentId": "<string>",
"note": "<string>",
"transcription": "<string>",
"summary": "<string>"
}Authorizations
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
The unique identifier of the appointment
Response
Appointment details retrieved successfully
Appointment ID
Secret key for appointment authentication
ICS calendar data
Meeting information including title, duration, etc.
Show child attributes
Show child attributes
Hosting information including links and integration IDs
Show child attributes
Show child attributes
Cancellation information
Show child attributes
Show child attributes
CRM integration options
Show child attributes
Show child attributes
Appointment start time (ISO string)
Appointment end time (ISO string)
Whether the appointment is cancelled
Appointment attendees without relation properties
Show child attributes
Show child attributes
Array of attendee IDs
Round robin entries for this appointment
Show child attributes
Show child attributes
Meeting type ID
Array of host user IDs
Array of scheduled reminder IDs
Company ID this appointment belongs to
Creation timestamp
Last update timestamp
Appointment resolvable errors (error codes only)
Show child attributes
Show child attributes
When the appointment was rescheduled
Meeting location
Soft deletion timestamp
Payment ID if this is a paid appointment
Appointment note
Full meeting transcription in markdown format
AI-generated summary of the meeting in markdown format
